lp:ubuntu/wily/grilo-plugins

Created by Ubuntu Package Importer on 2015-05-07 and last modified on 2015-07-07
Get this branch:
bzr branch lp:ubuntu/wily/grilo-plugins
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

31. By Iain Lane on 2015-07-07

* Merge from Debian unstable. Remaining changes:
  - Split package into -base and -extra
  - Build with --fail-missing so we install everything.
  - debian/patches/0001-guardianvideos-fix-URL-format-string.patch:
    Cherry-pick. guardianvideos: fix URL format string The online service
    complains loudly if passed 1.0 instead of 1, let's make sure values are
    formatted as integers.
* debian/patches/0001-grl-bookmarks-Notify-about-a-removal-if-there-was-no.patch:
  Take patch from upstream bug to fix notification of deletions.

30. By Robert Ancell on 2015-06-26

No change rebuild against libgdata22

29. By Iain Lane on 2015-05-29

* Merge from Debian unstable. Remaining changes:
  - Split package into -base and -extra
* Build with --fail-missing so we install everything.
* debian/patches/0001-guardianvideos-fix-URL-format-string.patch:
  Cherry-pick. guardianvideos: fix URL format string The online service
  complains loudly if passed 1.0 instead of 1, let's make sure values are
  formatted as integers.

28. By Iain Lane on 2015-02-18

* Add a transitional package to protect upgraders.
* Consolidate -dbg packages into just one.

27. By Alberto Garcia on 2014-11-17

* libgom is still not available in Debian, so let's use the bookmarks
  plugin from 0.2.12, which does not depend on it.
  - old-bookmarks-plugin.patch: bring back the old code.
  - debian/control: add the plugin name to the package description.

26. By Alberto Garcia on 2014-11-16

* debian/control:
  - Add build dependency on librest-dev, needed by the Pocket
    plugin. This has been working so far because librest-dev is also
    a dependency of libgoa-1.0-dev, but we should not rely on that.
  - Make grilo-plugins recommend dleyna-server (Closes: #765986).
* fix-dleyna-crash.patch:
  - Fix crash due to variable redefinition (Closes: #769357).

25. By Alberto Garcia on 2014-08-27

* New upstream release (Closes: #750038).
* debian/control:
  - Replace the UPnP plugin with the new dLeyna plugin.
  - Disable the Bookmarks plugin since it now requires libgom, which is
    not available in Debian.
  - Add build dependencies on libarchive-dev and python-dbusmock.
  - Drop the build dependencies on gupnp, gupnp-av and libgcrypt.
  - Bump the build dependencies on libglib2.0-dev and libgrilo-0.2-dev.
* debian/grilo-plugins-0.2.lintian-overrides:
  - Ignore hardening warnings, the strncpy() and gethostname() calls in
    grl-dleyna-utils.c are guaranteed to have enough space.

24. By Iain Lane on 2014-07-15

No-change rebuild against libgdata19

23. By Alberto Garcia on 2014-05-27

* Enable the Pocket plugin:
  - debian/control: set libgoa dependency to >= 3.11.4 and update
    package description.
  - debian/rules: remove the --disable-pocket option.

22. By Alberto Garcia on 2014-05-12

* debian/control:
  - Build using libtracker-sparql-1.0-dev (Closes: #741423).

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/utopic/grilo-plugins
This branch contains Public information 
Everyone can see this information.

Subscribers